libwpg: libwpg::WPGraphics Class Reference documentation

# libwpg::WPGraphics Class Reference

`#include <WPGraphics.h>`

List of all members.

## Static Public Member Functions
static bool | isSupported (WPXInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed.
static bool | parse (WPXInputStream *input, WPGPaintInterface *painter)
static bool | parse (const unsigned char *data, const size_t size, WPGPaintInterface *painter)
static bool | generateSVG (WPXInputStream *input, WPGString &output)
| Parses the input stream content and generates a valid Scalable Vector Graphics Provided as a convenience function for applications that support SVG internally.
static bool | generateSVG (const unsigned char *data, const size_t size, WPGString &output)

## Member Function Documentation

bool libwpg::WPGraphics::isSupported | ( | WPXInputStream * | input | ) | `[static]`

Analyzes the content of an input stream to see if it can be parsed.

Parameters:

  | input | The input stream

Returns:
  A value that indicates whether the content from the input stream is a WordPerfect Graphics that libwpg is able to parse

static bool libwpg::WPGraphics::parse | ( | WPXInputStream * | input,
|  | WPGPaintInterface * | painter |
| ) |  |  | `[static]`

Referenced by generateSVG(), and parse().

bool libwpg::WPGraphics::parse | ( | const unsigned char * | data,
|  | const size_t | size,
|  | libwpg::WPGPaintInterface * | painter |
| ) |  |  | `[static]`

bool libwpg::WPGraphics::generateSVG | ( | WPXInputStream * | input,
|  | libwpg::WPGString & | output |
| ) |  |  | `[static]`

Parses the input stream content and generates a valid Scalable Vector Graphics Provided as a convenience function for applications that support SVG internally.

Parameters:

  | input | The input stream
  | output | The output string whose content is the resulting SVG

Returns:
  A value that indicates whether the SVG generation was successful.

Referenced by generateSVG().

bool libwpg::WPGraphics::generateSVG | ( | const unsigned char * | data,
|  | const size_t | size,
|  | libwpg::WPGString & | output |
| ) |  |  | `[static]`

The documentation for this class was generated from the following files:

- WPGraphics.h
- WPGraphics.cpp